import commonLogic from '@/locale/logic/common/common-logic';
// 基于 APP/src/locale/lanres/entities/%DE_PKGPATH%/%DE_PKGPATH%_en_US_base.ts.ftl 生成
function getLocaleResourceBase(){
	const data:any = {
	fields: {
		orderuid: commonLogic.appcommonhandle("订单编号",null),
		memo: commonLogic.appcommonhandle("备注",null),
		detailnum: commonLogic.appcommonhandle("明细数",null),
		amount: commonLogic.appcommonhandle("总计",null),
		ordertime: commonLogic.appcommonhandle("订单时间",null),
		createman: commonLogic.appcommonhandle("建立人",null),
		ibizsample0017name: commonLogic.appcommonhandle("订单名称",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		ordertype: commonLogic.appcommonhandle("订单类型",null),
		ibizsample0017id: commonLogic.appcommonhandle("订单标识",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
	},
		views: {
			pickupgridview: {
				caption: commonLogic.appcommonhandle("订单",null),
				title: commonLogic.appcommonhandle("订单选择表格视图",null),
			},
			formpickupview: {
				caption: commonLogic.appcommonhandle("订单",null),
				title: commonLogic.appcommonhandle("订单数据选择视图",null),
			},
			f10editview: {
				caption: commonLogic.appcommonhandle("订单",null),
				title: commonLogic.appcommonhandle("订单编辑视图",null),
			},
			f20editview: {
				caption: commonLogic.appcommonhandle("订单",null),
				title: commonLogic.appcommonhandle("订单编辑视图",null),
			},
			formpickupdataview: {
				caption: commonLogic.appcommonhandle("订单",null),
				title: commonLogic.appcommonhandle("订单表单选择数据视图",null),
			},
			f30editview: {
				caption: commonLogic.appcommonhandle("订单",null),
				title: commonLogic.appcommonhandle("订单编辑视图",null),
			},
			gridview: {
				caption: commonLogic.appcommonhandle("订单",null),
				title: commonLogic.appcommonhandle("订单表格视图",null),
			},
			pickupview: {
				caption: commonLogic.appcommonhandle("订单",null),
				title: commonLogic.appcommonhandle("订单数据选择视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("订单",null),
				title: commonLogic.appcommonhandle("订单编辑视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("订单基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("订单标识",null), 
				srfmajortext: commonLogic.appcommonhandle("订单名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				orderuid: commonLogic.appcommonhandle("订单编号",null), 
				ibizsample0017name: commonLogic.appcommonhandle("订单名称",null), 
				ordertype: commonLogic.appcommonhandle("订单类型",null), 
				ordertime: commonLogic.appcommonhandle("订单时间",null), 
				memo: commonLogic.appcommonhandle("备注",null), 
				ibizsample0017id: commonLogic.appcommonhandle("订单标识",null), 
			},
			uiactions: {
			},
		},
		form10_form: {
			details: {
				group1: commonLogic.appcommonhandle("订单基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("订单标识",null), 
				srfmajortext: commonLogic.appcommonhandle("订单名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				orderuid: commonLogic.appcommonhandle("订单编号",null), 
				ibizsample0017name: commonLogic.appcommonhandle("订单名称",null), 
				ordertype: commonLogic.appcommonhandle("订单类型",null), 
				ordertime: commonLogic.appcommonhandle("订单时间",null), 
				memo: commonLogic.appcommonhandle("备注",null), 
				ibizsample0017id: commonLogic.appcommonhandle("订单标识",null), 
			},
			uiactions: {
			},
		},
		form20_form: {
			details: {
				group1: commonLogic.appcommonhandle("订单基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("订单标识",null), 
				srfmajortext: commonLogic.appcommonhandle("订单名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				orderuid: commonLogic.appcommonhandle("订单编号",null), 
				ibizsample0017name: commonLogic.appcommonhandle("订单名称",null), 
				ordertype: commonLogic.appcommonhandle("订单类型",null), 
				ordertime: commonLogic.appcommonhandle("订单时间",null), 
				memo: commonLogic.appcommonhandle("备注",null), 
				ibizsample0017id: commonLogic.appcommonhandle("订单标识",null), 
			},
			uiactions: {
			},
		},
		form30_form: {
			details: {
				group1: commonLogic.appcommonhandle("订单基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("订单标识",null), 
				srfmajortext: commonLogic.appcommonhandle("订单名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				orderuid: commonLogic.appcommonhandle("订单编号",null), 
				ibizsample0017name: commonLogic.appcommonhandle("订单名称",null), 
				ordertype: commonLogic.appcommonhandle("订单类型",null), 
				ordertime: commonLogic.appcommonhandle("订单时间",null), 
				memo: commonLogic.appcommonhandle("备注",null), 
				ibizsample0017id: commonLogic.appcommonhandle("订单标识",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				ibizsample0017name: commonLogic.appcommonhandle("订单名称",null),
				updateman: commonLogic.appcommonhandle("更新人",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		formtype_dataview: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
			},
			uiactions: {
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove And Close",null),
				tip: commonLogic.appcommonhandle("Remove And Close Window",null),
			},
		},
		f10editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove And Close",null),
				tip: commonLogic.appcommonhandle("Remove And Close Window",null),
			},
		},
		f20editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove And Close",null),
				tip: commonLogic.appcommonhandle("Remove And Close Window",null),
			},
		},
		f30editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove And Close",null),
				tip: commonLogic.appcommonhandle("Remove And Close Window",null),
			},
		},
	};
	return data;
}

export default getLocaleResourceBase;